light-mode-image
Learn
API ReferenceStatus list configuration

Update a Status list configuration

Roles

adminissuermanaged-issuer

Analytics Events

MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_STARTMOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_SUCCESSMOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_FAIL
PUT/v2/credentials/mobile/status-lists/configurations/{statusListConfigurationId}

Updates an existing Status list configuration, allowing you to adjust the expiry and TTL (Time To Live) settings.

Analytic events

  • MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_START
  • MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_SUCCESS
  • MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

statusListConfigurationId*string

Status list configuration ID

Formatuuid
statusListConfigurationId*string

Status list configuration ID

Formatuuid

Request Body

application/json

The Status list configuration payload

TypeScript Definitions

Use the request body type in TypeScript.

body*StatusListConfigurationUpdateRequest

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/credentials/mobile/status-lists/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "docType": "string",  "timeToLiveDuration": {},  "expiryDuration": {}}

How would you rate this page?